if not SimpleSelfRebuff then return end
SimpleSelfRebuff:_rev("$Revision: 69169 $")
if select(2, UnitClass('player')) ~= 'ROGUE' then return end

SimpleSelfRebuff:RegisterBuffSetup(function(self, spellNames, L)

	local function registerPoisons(categoryName)

		local category = self:GetCategory(categoryName)
		category.source = self.SOURCE_PT3SET
		
		category
			:add( spellNames[26786], 'minLevel', 68, 'setName', 'Consumable.Weapon Buff.Poison.Anesthetic'   ) -- Anesthetic Poison
			:add( spellNames[ 3420], 'minLevel', 20, 'setName', 'Consumable.Weapon Buff.Poison.Crippling'    ) -- Crippling Poison 
			:add( spellNames[ 2835], 'minLevel', 30, 'setName', 'Consumable.Weapon Buff.Poison.Deadly'       ) -- Deadly Poison
			:add( spellNames[ 8681], 'minLevel', 20, 'setName', 'Consumable.Weapon Buff.Poison.Instant'      ) -- Instant Poison
			:add( spellNames[ 5763], 'minLevel', 24, 'setName', 'Consumable.Weapon Buff.Poison.Mind Numbing' ) -- Mind-numbing Poison
			:add( spellNames[13220], 'minLevel', 32, 'setName', 'Consumable.Weapon Buff.Poison.Wound'        ) -- Wound Poison
			
	end
	
	registerPoisons(self.CATEGORY_MAINHAND)
	registerPoisons(self.CATEGORY_OFFHAND)

end)
